package java.awt.peer;

import java.awt.Rectangle;

public interface RobotPeer
{
    public abstract void mouseMove(int p0, int p1);
    
    public abstract void mousePress(int p0);
    
    public abstract void mouseRelease(int p0);
    
    public abstract void mouseWheel(int p0);
    
    public abstract void keyPress(int p0);
    
    public abstract void keyRelease(int p0);
    
    public abstract int getRGBPixel(int p0, int p1);
    
    public abstract int[] getRGBPixels(Rectangle p0);
    
    public abstract void dispose();
}
